@ECHO OFF

REM *****************************************
REM @NIC status check
REM	by H. Kasano, Network Mentor, Ltd.
REM *****************************************

REM === set parameters ===
SET LOGFILE="%~dp0check.log"
SET COUNTFILE=check.cnt
SET NUM=0
SET LIMIT=3

REM === log header ===
ECHO --------------------- >> %LOGFILE%
ECHO O[%DATE% - %TIME%] >> %LOGFILE%

REM === NIC test ===
check_connect > NUL

REM === error check ===
if errorlevel 1 goto ERR

echo * NIC Up * >> %LOGFILE%
ECHO 0 > %COUNTFILE%
goto END

REM === error ===
:ERR
echo * NIC Down * >> %LOGFILE%


REM === check count file ===
IF NOT EXIST %COUNTFILE% GOTO NOEXT

REM === get current count ===
FOR /F "tokens=1" %%a IN (%COUNTFILE%) DO SET /A NUM=%%a

:NOEXT
SET /A NUM=%NUM% + 1


REM === check if over time ===
IF %NUM% gtr %LIMIT% (
 ECHO *** LIMIT=%LIMIT% OVER !!! *** >> %LOGFILE%
 ECHO 0 > %COUNTFILE%
) ELSE (
 ECHO %NUM% > %COUNTFILE%
)

:END
